POST api/rightapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
RightViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
Required |
|
| active | boolean |
Required |
|
| code | string |
Required |
|
| for_material | boolean |
Required |
|
| ID | globally unique identifier |
None. |
|
| type | globally unique identifier |
None. |
|
| main_right | globally unique identifier |
None. |
|
| technical_description | string |
Required String length: inclusive between 0 and 100 |
|
| position | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"for_material": true,
"id": "b2e0c389-6ecd-4fda-a870-ace78c1befec",
"type": "e6dfb16c-abbb-41b0-84ff-8d0823ee43bc",
"main_right": "0902f0ff-4c34-4b8e-94c0-7f32c4e8eadc",
"technical_description": "sample string 5",
"position": 1
}
application/xml, text/xml
Sample:
<right xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<ID>b2e0c389-6ecd-4fda-a870-ace78c1befec</ID>
<active>true</active>
<code>sample string 2</code>
<for_material>true</for_material>
<main_right>0902f0ff-4c34-4b8e-94c0-7f32c4e8eadc</main_right>
<position>1</position>
<technical_description>sample string 5</technical_description>
<type>e6dfb16c-abbb-41b0-84ff-8d0823ee43bc</type>
<descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</descriptions>
</right>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"69e092cf-1492-4e5a-864d-19a265806d1b"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">69e092cf-1492-4e5a-864d-19a265806d1b</guid>